/****************************************************
   Contenido: ver uso de super()
****************************************************/
class SuperClase {
    int i;
    char c;
    
    SuperClase () {
	System.out.println ("En constructor: Superclase ()");
    }

    SuperClase (int i) {
	this.i=2*i;
	System.out.println ("En constructor: Superclase (int)");
    }

    SuperClase (int a, char b) {
	this(a);
	c=b;
	System.out.println ("En constructor: Superclase (int,char)");
    }
}


class SubClase1 extends SuperClase {
    boolean z;

    SubClase1 () {
	System.out.println ("En constructor: Subclase1 ()");
    }

    SubClase1 (int a, char b, boolean c) {
	super (a,b);
	System.out.println ("En constructor: Subclase1 (int,char,boolean)");
	z=c;
    }

}

class SubClase2 extends SuperClase {
    float f;

    void inicializa(int a, char b, float f) {
	//super(a,b); //Da error porque solo puede llamarse desde un constructor
	i=a;
	c=b;
	this.f = f;
	System.out.println ("En inicializa: Subclase2 (int a,int b, float f)");	
    }
}

public class UsoSuper {
    public static void main (String [] args) {
	SubClase1 o1,o2,o3;
	SubClase2 o4;

	System.out.println ("*** Creacion de o1-Subclase1");
	o1=new SubClase1();
	//o2=new SubClase1(1,'a'); //Da error porque no se hereda
	System.out.println ("*** Creacion de o3-Subclase1");
	o3=new SubClase1(1,'a',true);
	System.out.println ("*** Creacion de o4-Subclase2");
	o4=new SubClase2();
	o4.inicializa(2,'b',1.3f);
    }
}

