import java.util.Vector;

abstract class Worker {
    int dni;
    Worker(int dni) {this.dni=dni;}
    public boolean equals (Object o) {
	Worker w=(Worker)o;
	if (w.dni==dni) return true;
	else return false;	
    }
}

class Salesman extends Worker {
    Salesman(int dni) {super(dni);};
}
class Secretary extends Worker {
    Secretary(int dni) {super(dni);};
}

class Factory {
    Vector <Worker> v=new Vector<Worker>();
    
    public void addWorker (Worker w) {
	v.add (w);
    }

    public Worker getWorker (Object o) {
	Worker w=null;
	int i=v.indexOf(o);
	if (i != -1) {
	    w=(Worker)v.elementAt(i);
	    System.out.println ("++ dni " +((Worker)o).dni +" encontrado en indice "+i);
	}
	return w;
    }
}

public class VectorBusqueda {
    public static void main (String args[]) {
	Factory f=new Factory();
	Salesman sa=new Salesman(1345);
	f.addWorker (sa);
	Secretary se=new Secretary(2456);
	f.addWorker (se);

	se=new Secretary(2456);
	f.getWorker(se);
	se=new Secretary(4340);
	f.getWorker(se);
    }

}
