/****************************************************
   Contenido: para los metodos que generen 
   excepciones explicitas, es obligatoria
   una de estas condiciones:
   -Declarar metodos de la forma throws...
   -Tratarlas con try-catch; en este segundo caso, ha
    de aparecer una sentencia throw en el bloque try
   No hay ningun condicionante para implicitas
****************************************************/

class EImplicita extends RuntimeException {
}
class EExplicita extends Exception {
}

public class ExplicitaErrMetodo1 {
    public static void main (String [] args) throws EExplicita {
	//    public static void main (String [] args) {
	try {
	    System.out.println ("Entrando en main");
	    throw new EImplicita();
	    //throw new EExplicita();
	}
	/*
	//Catch'es de Excepciones explicitas
	catch (EExplicita e) {
	    System.out.println ("Entrando en gestor de Explicita");
	}
	*/
	//Catch'es de Excepciones implicitas	
	catch (EImplicita e) {
	    System.out.println ("Entrando en gestor de Implicita");
	}
    }
}
