import java.lang.reflect.*;

class A1 {
    public int x=1;
}

class A2 extends A1 {
    public int x=0;

    void info() {
	System.out.println ("++ info clase A2");
	System.out.println (" this.x:  "+this.x);
	System.out.println (" super.x: "+super.x);
    }
}

class A3 extends A1 {
    void info() {
	System.out.println ("++ info clase A3");
	System.out.println (" this.x:  "+this.x);
	System.out.println (" super.x: "+super.x);
    }
}

public class HerenciaAtributos {
    public static void main (String []args) {
	A2 o2=new A2();

	Field[]a0;
	System.out.println ("+++ Atributos con getFields()");
	a0=A2.class.getFields();
	for (int i=0;i<a0.length; i++) System.out.println (a0[i]);
	System.out.println ("+++ Atributos con getDeclaredFields()");
	a0=A2.class.getDeclaredFields();
	for (int i=0;i<a0.length; i++) System.out.println (a0[i]);

	o2.info();
	o2.x++;
	o2.info();
	((A1)o2).x++;
	o2.info();

	A3 o3=new A3();
	o3.info();
	o3.x++;
	o3.info();
	((A1)o3).x++;
	o3.info();
    }
}
