package movil;
import teclado.Teclado;

public abstract class Movil {
	Display display;
	Teclado teclado;
	Conexion conexiones[];
	
	String fabricante;
	float peso;
	String antena;
	
	
	protected void setComponentes (Display d, Teclado t, Conexion[] c, String ant) {
		display=d;
		teclado=t;
		conexiones=c;
		antena=ant;
	}
	protected void setCaracteristicas (String fabr, float peso_gr) {
		fabricante=fabr;
		peso=peso_gr;
	}
	
	public abstract String modelo ();
	public void info() {
		System.out.println("Fabricante: "+fabricante);
		System.out.println("Modelo: "+modelo());
		System.out.println("Peso: "+peso+" gr");
		display.info();
		teclado.info();
		System.out.println("Antena: "+antena);
		System.out.println("Conexiones");
		int i;	
		for (i=0;i<conexiones.length;i++) {
			System.out.print('\t');
			conexiones[i].info();
		}
	}
	
}

