/****************************************************
   Contenido: si hay un catch para excepcion explicita
   es obligatorio que en el try se lance con throw o
   se llame a un metodo que pueda generarla.
   No es obligatorio para excepciones implicitas
****************************************************/

class EExplicita extends Exception {}
class EImplicita extends RuntimeException {}

class C1 {
    public void m1() throws EImplicita {
	System.out.println("Con EImplicita");
    }
    public void m2() throws EExplicita {
	System.out.println("Con EExplicita");
    }
}

class C2 {
    public static void main (String[] args) {
	C1 o=new C1();
	try {
	    o.m1(); //Puede omitirse sin problema
	    //o.m2(); //Si no se pone da error
	}
	catch (EExplicita e) {}
	catch (EImplicita e) {}

    }
}

