/****************************************************
   Contenido: recursividad dentro del try-catch-finally
****************************************************/

class E1 extends Exception {
    void infoCatch (String s) {
	System.out.println ("Entrando en gestor de "+super.getClass()+" en: "+s);
    }
}
class E2 extends Exception {
    void info (String s) {
	System.out.println ("gestor de "+super.getClass()+" en: "+s);
    }
}

public class ExcepcionRecursiva {
    static int a;

    public static void main (String [] args) throws E2{
	try {
	    System.out.println ("Entrando en main");
	    throw new E1();
	}
	catch (E1 e) {
	    e.infoCatch("main");
	    try {
		a=2; //Cambiar este valor a 1 o 2
		if (a==1)
		    throw new E1();
		else if (a==2)
		    throw new E2();
	    }
	    catch (E1 ee) {
		ee.infoCatch("catch de E1");
	    }
	    
	}
	finally {
	    try {
		System.out.println ("finally de main");
		throw new E1();
	    }
	    catch (E1 e) {
		e.infoCatch("finally de main");
	    }
	    
	}
    }
}
