// test/VentanaAviso.java
package test;
import gv.IVentana;
import gv.VentanaMadre;
import gv.IVentanaMinMax;
import gv.Boton;



public class VentanaAviso extends VentanaMadre implements IVentanaMinMax{
	public VentanaAviso (int id_madre, int x, int y) {
		super(id_madre,x,y,100,70);
		Boton b1=new Boton(id,10,40,"Aceptar");
		Boton b2=new Boton(id,50,40,"Cancelar");
		CrearVentanaHija(b1);
		CrearVentanaHija(b2);
	}
	
	public static void main() {
		VentanaAviso v=new VentanaAviso(0,200,200);
		v.Click(11,41);
	}
	
	public void Click(int x, int y) {
		IVentana iv;
		if (x>=10 && x<=40 && y>=40 && y<=50) {
			iv=(IVentana)ventanasHijas.elementAt(1);
			iv.Click(x,y);
		}
		else if (x>=50 && x<=80 && y>=40 && y<=50) {
			iv=(IVentana)ventanasHijas.elementAt(2);
			iv.Click(x,y);
		}
	}
	
	public void Maximizar() {System.out.println("Maximizar");}
	public void Minimizar() {System.out.println("Minimizar");}
	public void Restaurar() {System.out.println("Restaurar");}
}
